Bullet Collision Detection & Physics Library: btReducedDeformableStaticConstraint Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btReducedDeformableStaticConstraint Class Reference

`#include <btReducedDeformableContactConstraint.h>`

Inheritance diagram for btReducedDeformableStaticConstraint:
[legend]
Collaboration diagram for btReducedDeformableStaticConstraint:
[legend]

## Public Member Functions
| btReducedDeformableStaticConstraint (btReducedDeformableBody *rsb, btSoftBody::Node *node, const btVector3 &ri, const btVector3 &x0, const btVector3 &dir, const btContactSolverInfo &infoGlobal, btScalar dt)
| btReducedDeformableStaticConstraint ()
virtual | ~btReducedDeformableStaticConstraint ()
virtual btScalar | solveConstraint (const btContactSolverInfo &infoGlobal)
virtual void | applyImpulse (const btVector3 &impulse)
btVector3 | getDeltaVa () const
Public Member Functions inherited from btDeformableStaticConstraint
| btDeformableStaticConstraint (btSoftBody::Node *node, const btContactSolverInfo &infoGlobal)
| btDeformableStaticConstraint ()
| btDeformableStaticConstraint (const btDeformableStaticConstraint &other)
virtual | ~btDeformableStaticConstraint ()
virtual btScalar | solveConstraint (const btContactSolverInfo &infoGlobal)
virtual btVector3 | getVa () const
virtual btVector3 | getVb () const
virtual btVector3 | getDv (const btSoftBody::Node *n) const
virtual void | applyImpulse (const btVector3 &impulse)
virtual void | setPenetrationScale (btScalar scale)
Public Member Functions inherited from btDeformableContactConstraint
| btDeformableContactConstraint (const btVector3 &normal, const btContactSolverInfo &infoGlobal)
| btDeformableContactConstraint (bool isStatic, const btVector3 &normal, const btContactSolverInfo &infoGlobal)
| btDeformableContactConstraint ()
| btDeformableContactConstraint (const btDeformableContactConstraint &other)
virtual | ~btDeformableContactConstraint ()
virtual btScalar | solveConstraint (const btContactSolverInfo &infoGlobal)=0
virtual btVector3 | getVa () const =0
virtual btVector3 | getVb () const =0
virtual btVector3 | getDv (const btSoftBody::Node *) const =0
virtual void | applyImpulse (const btVector3 &impulse)=0
virtual void | setPenetrationScale (btScalar scale)=0

## Public Attributes
btReducedDeformableBody * | m_rsb
btScalar | m_dt
btVector3 | m_ri
btVector3 | m_targetPos
btVector3 | m_impulseDirection
btMatrix3x3 | m_impulseFactorMatrix
btScalar | m_impulseFactor
btScalar | m_rhs
btScalar | m_appliedImpulse
btScalar | m_erp
Public Attributes inherited from btDeformableStaticConstraint
btSoftBody::Node * | m_node
Public Attributes inherited from btDeformableContactConstraint
bool | m_static
const btContactSolverInfo * | m_infoGlobal
btVector3 | m_normal

## Detailed Description

Definition at line 5 of file btReducedDeformableContactConstraint.h.

## Constructor & Destructor Documentation

## ◆ btReducedDeformableStaticConstraint() [1/2]

btReducedDeformableStaticConstraint::btReducedDeformableStaticConstraint | ( | btReducedDeformableBody * | rsb,
|  | btSoftBody::Node * | node,
|  | const btVector3 & | ri,
|  | const btVector3 & | x0,
|  | const btVector3 & | dir,
|  | const btContactSolverInfo & | infoGlobal,
|  | btScalar | dt
| ) |  |

Definition at line 5 of file btReducedDeformableContactConstraint.cpp.

## ◆ btReducedDeformableStaticConstraint() [2/2]

btReducedDeformableStaticConstraint::btReducedDeformableStaticConstraint | ( |  | ) |
| inline

Definition at line 27 of file btReducedDeformableContactConstraint.h.

## ◆ ~btReducedDeformableStaticConstraint()

virtual btReducedDeformableStaticConstraint::~btReducedDeformableStaticConstraint | ( |  | ) |
| inlinevirtual

Definition at line 28 of file btReducedDeformableContactConstraint.h.

## Member Function Documentation

## ◆ applyImpulse()

void btReducedDeformableStaticConstraint::applyImpulse | ( | const btVector3 & | impulse | ) |
| virtual

Reimplemented from btDeformableStaticConstraint.

Definition at line 47 of file btReducedDeformableContactConstraint.cpp.

## ◆ getDeltaVa()

btVector3 btReducedDeformableStaticConstraint::getDeltaVa | ( |  | ) | const

Definition at line 53 of file btReducedDeformableContactConstraint.cpp.

## ◆ solveConstraint()

btScalar btReducedDeformableStaticConstraint::solveConstraint | ( | const btContactSolverInfo & | infoGlobal | ) |
| virtual

Reimplemented from btDeformableStaticConstraint.

Definition at line 28 of file btReducedDeformableContactConstraint.cpp.

## Member Data Documentation

## ◆ m_appliedImpulse

btScalar btReducedDeformableStaticConstraint::m_appliedImpulse

Definition at line 16 of file btReducedDeformableContactConstraint.h.

## ◆ m_dt

btScalar btReducedDeformableStaticConstraint::m_dt

Definition at line 9 of file btReducedDeformableContactConstraint.h.

## ◆ m_erp

btScalar btReducedDeformableStaticConstraint::m_erp

Definition at line 17 of file btReducedDeformableContactConstraint.h.

## ◆ m_impulseDirection

btVector3 btReducedDeformableStaticConstraint::m_impulseDirection

Definition at line 12 of file btReducedDeformableContactConstraint.h.

## ◆ m_impulseFactor

btScalar btReducedDeformableStaticConstraint::m_impulseFactor

Definition at line 14 of file btReducedDeformableContactConstraint.h.

## ◆ m_impulseFactorMatrix

btMatrix3x3 btReducedDeformableStaticConstraint::m_impulseFactorMatrix

Definition at line 13 of file btReducedDeformableContactConstraint.h.

## ◆ m_rhs

btScalar btReducedDeformableStaticConstraint::m_rhs

Definition at line 15 of file btReducedDeformableContactConstraint.h.

## ◆ m_ri

btVector3 btReducedDeformableStaticConstraint::m_ri

Definition at line 10 of file btReducedDeformableContactConstraint.h.

## ◆ m_rsb

btReducedDeformableBody* btReducedDeformableStaticConstraint::m_rsb

Definition at line 8 of file btReducedDeformableContactConstraint.h.

## ◆ m_targetPos

btVector3 btReducedDeformableStaticConstraint::m_targetPos

Definition at line 11 of file btReducedDeformableContactConstraint.h.

The documentation for this class was generated from the following files:

- btReducedDeformableContactConstraint.h
- btReducedDeformableContactConstraint.cpp